Package com.google.gwt.layout.client

## Class LayoutImpl

- java.lang.Object
- - com.google.gwt.layout.client.LayoutImpl

-     @Deprecated
      class LayoutImpl
      extends java.lang.Object

  Deprecated.
  Default implementation, which works with all browsers except for IE6. It uses only the "top", "left", "bottom", "right", "width", and "height" CSS properties. Note: This implementation class has state, so `Layout` must create a new instance for each layout-parent.

  Deprecated, as this is the only implementation, it may be removed in a future release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DivElement` | `relativeRuler` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutImpl()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Element` | `attachChild​(Element parent, Element child, Element before)` | Deprecated.
    `protected static DivElement` | `createRuler​(Style.Unit widthUnit, Style.Unit heightUnit)` | Deprecated.
    `void` | `fillParent​(Element elem)` | Deprecated.
    `void` | `finalizeLayout​(Element parent)` | Deprecated.
    `double` | `getUnitSizeInPixels​(Element parent, Style.Unit unit, boolean vertical)` | Deprecated.
    `void` | `initParent​(Element parent)` | Deprecated.
    `void` | `layout​(Layout.Layer layer)` | Deprecated.
    `void` | `onAttach​(Element parent)` | Deprecated.
    `void` | `onDetach​(Element parent)` | Deprecated.
    `void` | `removeChild​(Element container, Element child)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relativeRuler

          protected DivElement relativeRuler

      Deprecated.

  - ### Constructor Detail

    - #### LayoutImpl

          LayoutImpl()

      Deprecated.

  - ### Method Detail

    - #### createRuler

          protected static DivElement createRuler​(Style.Unit widthUnit,
                                                  Style.Unit heightUnit)

      Deprecated.

    - #### attachChild

          public Element attachChild​(Element parent,
                                     Element child,
                                     Element before)

      Deprecated.

    - #### fillParent

          public void fillParent​(Element elem)

      Deprecated.

    - #### finalizeLayout

          public void finalizeLayout​(Element parent)

      Deprecated.
      Parameters:
        `parent` - the parent element

    - #### getUnitSizeInPixels

          public double getUnitSizeInPixels​(Element parent,
                                            Style.Unit unit,
                                            boolean vertical)

      Deprecated.

    - #### initParent

          public void initParent​(Element parent)

      Deprecated.

    - #### layout

          public void layout​(Layout.Layer layer)

      Deprecated.

    - #### onAttach

          public void onAttach​(Element parent)

      Deprecated.

    - #### onDetach

          public void onDetach​(Element parent)

      Deprecated.

    - #### removeChild

          public void removeChild​(Element container,
                                  Element child)

      Deprecated.